"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getComponentVueDoc;

var fs = _interopRequireWildcard(require("fs"));

var path = _interopRequireWildcard(require("path"));

var _parseVue = _interopRequireDefault(require("./parseVue"));

var readSeparateScriptFile = function readSeparateScriptFile(fileName) {
  return fs.readFileSync(fileName, {
    encoding: 'utf-8'
  });
};

function getComponentVueDoc(source, file) {
  var parts = (0, _parseVue["default"])(source, file);

  if (parts.customBlocks) {
    var docBlocks = parts.customBlocks.filter(function (block) {
      return block.type === 'docs';
    })[0];

    if (docBlocks && docBlocks.src) {
      var jsFilePath = path.join(path.dirname(file), docBlocks.src);
      return readSeparateScriptFile(jsFilePath);
    } else if (docBlocks && docBlocks.content) {
      return docBlocks.content;
    }
  }

  return false;
}